WEECHAT(1)

JMÉNO
weechat - the extensible chat client

PŘEHLED

weechat [-a|--no-connect] [-d|--dir <path>] [-t|--temp-dir]  [-p|--no-plugin] [-P|--plugins <plugins>] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [plugin:option...]
weechat [-c|--colors]
weechat [-h|--help]
weechat [-l|--license]
weechat [-v|--version]

POPIS

WeeChat (Wee Enhanced Environment for Chat) je svobodný chatovací klient. Je lehký, plně konfigurovatelný a lehce rozšiřitelný pomocí pluginů a scriptů v obvyklých sciptovacích jazycích.

VOLBY

-a, --no-connect
    Zakaž automatické pripojení k serverům když WeeChat startuje.

-c, --colors
    Zobraz defaultní barvy v terminálu.

--daemon
    Run WeeChat in background, as a daemon (works only with the command weechat-headless).

-d, --dir <path>
    Nastav cestu jako dovmský adresář pro WeeChat (použitou pro konfigurační soubory, logy, uživatelské pluginy a skripty), výchozí hodnota je "~/.weechat" (poznámka: složka bude vytvořena pokud nebude nalezena Weechatem) Pokud tato volba není zadána, použije se promněná prostředí WEECHAT_HOME (pokud není prázdná)

-t, --temp-dir
    Create a temporary WeeChat home directory and delete it on exit (incompatible with option "-d").
    The name of the directory is automatically built by WeeChat, with this template: "weechat_temp_XXXXXX" (where "XXXXXX" is random). It it created in the first available directory in this list: environment variable "TMPDIR", "/tmp" (may be different according to the operating system), environment variable "HOME", current directory.
    The temporary home directory has permissions 0700 (only owner can read, write and execute).

-h, --help
    Zobrazí nápovědu.

-l, --license
    Zobrazí licenci WeeChatu.

-p, --no-plugin
    Vypne automatické nahrání pluginů.

-P, --plugins <plugins>
    Load only these plugins at startup (see /help weechat.plugin.autoload). If this option is given, the option weechat.plugin.autoload is not used.

-r, --run-command <command>
    Run command(s) after startup; many commands can be separated by semicolons, this option can be given multiple times.

-s, --no-script
    Vypni automatické nahrání scriptů.

--upgrade
    Aktualizuj WeeChat použitím souborů relací generovaných příkazem /upgrade -quit.

-v, --version
    Zobraz verzi WeeChatu.

plugin:option
    Nastavení pluginů.

VOLBY PLUGINŮ

Pro kompletní dokumentaci nastavení pluginů a jejich volby podívejte se na

S irc pluginem se můžete doččasně připojit na server s URL jako:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

K připojení na IRC kanál Weechatu pro podporu s přezdívkou "mynick":

    irc://mynick@chat.freenode.net/#weechat

IPv6 adresa může být uzavřena do hranatých závorek k přidání portu, například:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

SOUBORY

$HOME/.weechat/weechat.conf
    hlavní konfigurační soubor WeeChatu

$HOME/.weechat/plugins.conf
    soubor konfigurace pluginů

$HOME/.weechat/sec.conf
    konfigurační soubor s chráněnými daty

$HOME/.weechat/alias.conf
    configurační soubor pro alias plugin

$HOME/.weechat/aspell.conf
    konfigurační soubor pro aspell plugin

$HOME/.weechat/buflist.conf
    konfigurační soubor pro buflist plugin

$HOME/.weechat/charset.conf
    konfigurační soubor pro charset plugin

$HOME/.weechat/exec.conf
    konfigurační soubor pro exec plugin

$HOME/.weechat/fifo.conf
    konfigurační soubor pro fifo plugin

$HOME/.weechat/fset.conf
    konfigurační soubor pro fset plugin

$HOME/.weechat/guile.conf
    konfigurační soubor pro guile plugin

$HOME/.weechat/irc.conf
    konfigurační soubor pro irc plugin

$HOME/.weechat/javascript.conf
    konfigurační soubor pro javascript plugin

$HOME/.weechat/logger.conf
    konfigurační soubor pro logger plugin

$HOME/.weechat/lua.conf
    konfigurační soubor pro lua plugin

$HOME/.weechat/perl.conf
    konfigurační soubor pro perl plugin

$HOME/.weechat/php.conf
    konfigurační soubor pro php plugin

$HOME/.weechat/python.conf
    konfigurační soubor pro python plugin

$HOME/.weechat/relay.conf
    konfigurační soubor pro relay plugin

$HOME/.weechat/ruby.conf
    konfigurační soubor pro ruby plugin

$HOME/.weechat/script.conf
    konfigurační soubor pro script plugin

$HOME/.weechat/tcl.conf
    konfigurační soubor pro tcl plugin

$HOME/.weechat/trigger.conf
    konfigurační soubor pro trigger plugin

$HOME/.weechat/xfer.conf
    konfigurační soubor pro xfer plugin

$HOME/.weechat/weechat.log
    soubor záznamů WeeChatu

SEE ALSO

weechat-headless(1)

AUTOŘI

Tato manuálová stránka byla napsána Sébastien Helleu. Tato manuálová stránka byla přeložena Ondřejem Súkupem.

COPYRIGHT

WeeChat je napsán Sébastienem Helleu a přispěvovateli (kompletní seznam je v souboru AUTHORS.adoc).

Copyright © 2003-2019 Sébastien Helleu

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Prosím přečtěte si soubor COPYING pro více informací.

Web:

PODPORA / HLÁŠENÍ CHYB

Pro pomoc nebo hlášení chyb

AUTHOR

Sébastien Helleu